Package org.eclipse.net4j.util.concurrent

# Class ReentrantReadWriteAccess

java.lang.Object
org.eclipse.net4j.util.concurrent.ReentrantReadWriteAccess

public final class ReentrantReadWriteAccess extends Object

Since:
  3.16
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`ReentrantReadWriteAccess()`
`ReentrantReadWriteAccess(boolean fair)`

## Method Summary

Modifier and Type
Method
Description
`ReentrantReadWriteLock`
`getLock()`
`Condition`
`newCondition()`
`Access`
`readAccess()`
`Access`
`writeAccess()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReentrantReadWriteAccess

public ReentrantReadWriteAccess(boolean fair)

### ReentrantReadWriteAccess

public ReentrantReadWriteAccess()

## Method Details

### getLock

public ReentrantReadWriteLock getLock()

### readAccess

public Access readAccess()

### writeAccess

public Access writeAccess()

### newCondition

public Condition newCondition()